Kopano-backup trough socket



  • Hi,

    I’ve installed Kopano 8.6.7 and I like to backup an old Zarafa-Server 7.1.4 with the command kopano-backup -s … to migrate to the new kopano with ucs.
    Some time ago, I tried this with - I think - Kopano 8.2, and it works.

    Today, I tried to migrate, but I got this message:
    2018-09-19 00:40:58,217 - backup - WARNING - could not connect to server at ‘192.168.X.252:236’, retrying in 5 sec

    I used this command:

    kopano-backup -s 192.168.X.252:236 -U administrator -P ‚XXXXXXX‘

    Did Kopano change the kopano-backup routine or what is the failure?

    Thanks!

    René


  • Kopano

    Hi @rs_1981,

    @rs_1981 said in Kopano-backup trough socket:

    kopano-backup -s 192.168.X.252:236 -U administrator -P ‚XXXXXXX‘

    You are missing ‘http://’ in front of the socket



  • Ah, okay, thanks. But then I get this error:

    root@ucs:~# kopano-backup -s http://192.168.X.252:236 -U administrator -P ‘XXXX’ -l debug
    2018-09-19 10:25:36,778 - backup - INFO - starting backup
    2018-09-19 10:25:40,785 - backup - INFO - stopping backup
    2018-09-19 10:25:40,787 - backup - ERROR - Traceback (most recent call last):
    File “/usr/lib/python2.7/dist-packages/kopano/log.py”, line 90, in log_exc
    try: yield
    File “/usr/lib/python2.7/dist-packages/kopano/service.py”, line 183, in start
    _daemon_helper(self.main, self, self.log)
    File “/usr/lib/python2.7/dist-packages/kopano/service.py”, line 60, in _daemon_helper
    func()
    File “/usr/lib/python2.7/dist-packages/kopano_backup/init.py”, line 404, in main
    self.backup()
    File “/usr/lib/python2.7/dist-packages/kopano_backup/init.py”, line 415, in backup
    jobs = self.create_jobs()
    File “/usr/lib/python2.7/dist-packages/kopano_backup/init.py”, line 629, in create_jobs
    (not servers or public_store.home_server in servers):
    File “/usr/lib/python2.7/dist-packages/kopano/store.py”, line 716, in home_server
    for node in self.server.nodes(): # XXX faster?
    File “/usr/lib/python2.7/dist-packages/kopano/server.py”, line 295, in nodes
    for row in self.table(PR_EC_STATSTABLE_SERVERS).dict_rows():
    File “/usr/lib/python2.7/dist-packages/kopano/server.py”, line 302, in table
    self.mapistore.OpenProperty(name, IID_IMAPITable, MAPI_UNICODE, 0),
    File “/usr/lib/python2.7/dist-packages/MAPICore.py”, line 404, in OpenProperty
    return _MAPICore.IMAPIProp_OpenProperty(self, ulPropTag, USE_IID_FOR_OUTPUT, ulInterfaceOptions, ulFlags)
    MAPIErrorNoAccess: MAPI error 80070005 (MAPI_E_NO_ACCESS)



  • Is it the same like this:

    https://jira.kopano.io/browse/KC-306
    ?


  • Kopano

    No, since the traceback is completely different.

    In any case I was able to reproduce the issue, will check with a developer tomorrow about a possible solution. The workaround is to not backup all users at once, but specify the user to be backed up (-u username)



  • Hi,

    that information helps me very much.
    Then I use a shell script for backup.

    Thanks!
    Perhaps, you can find a solution to backup all users.



  • Hi all,

    similar situation here.

    Zarafa 7.1.7
    Kopano 8.7.0

    kopano-backup -s http://192.168.X.X:236 -U administrator -P password -u username -l debug

    2019-03-28 15:36:23,067 - backup - INFO - could not open config file /etc/kopano/backup.cfg, running with defaults
    2019-03-28 15:36:23,068 - backup - INFO - starting backup
    [error ] gsoap connect: connect failed in tcp_connect()
    [error ] HrLogon server “http://192.168.X.X:236” user “administrator”: network error
    2019-03-28 15:36:23,079 - backup - WARNING - could not connect to server at ‘http://192.168.X.X:236’, retrying in 5 sec
    [error ] gsoap connect: connect failed in tcp_connect()

    If I type a wrong password, error message change:

    2019-03-28 15:43:51,875 - backup - INFO - could not open config file /etc/kopano/backup.cfg, running with defaults
    2019-03-28 15:43:51,876 - backup - INFO - starting backup
    [error ] HrLogon server “http://192.168.X.X:236” user “administrator”: logon failed
    Could not logon to server: username or password incorrect
    [error ] HrLogon server “http://192.168.X.X:236” user “administrator”: logon failed
    2019-03-28 15:43:51,912 - backup0 - ERROR - Traceback (most recent call last):
    File “/usr/lib/python3/dist-packages/kopano/server.py”, line 276, in init
    self.mapisession = OpenECSession(self.auth_user, self.auth_pass, self.server_socket, sslkey_file=self.sslkey_file, sslkey_pass=self.sslkey_pass, flags=flags)
    File “/usr/lib/python3/dist-packages/MAPI/Util/init.py”, line 87, in OpenECSession
    admin.ConfigureMsgService(uid, 0, 0, profprops)
    File “/usr/lib/python3/dist-packages/MAPICore.py”, line 1671, in ConfigureMsgService
    return _MAPICore.IMsgServiceAdmin_ConfigureMsgService(self, lpUID, ulUIParam, ulFlags, cValues)
    MAPI.Struct.MAPIErrorLogonFailed: MAPI error 80040111 (MAPI_E_LOGON_FAILED)

    During handling of the above exception, another exception occurred:

    Traceback (most recent call last):
    File “/usr/lib/python3/dist-packages/kopano/log.py”, line 103, in log_exc
    try: yield
    File “/usr/lib/python3/dist-packages/kopano/service.py”, line 216, in run
    self.main()
    File “/usr/lib/python3/dist-packages/kopano_backup/init.py”, line 183, in main
    config, server, options = self.service.config, self.service.server, self.service.options
    File “/usr/lib/python3/dist-packages/kopano/service.py”, line 169, in server
    self._server = _server.Server(options=self.options, config=self.config.data, log=self.log, service=self)
    File “/usr/lib/python3/dist-packages/kopano/server.py”, line 285, in init
    raise LogonError(‘Could not logon to server: username or password incorrect’)
    kopano.errors.LogonError: Could not logon to server: username or password incorrect

    2019-03-28 15:43:52,916 - backup - INFO - stopping backup

    Any idea?

    Thanks


  • Kopano

    @mrk-pncl said in Kopano-backup trough socket:

    http://192.168.X.X:236

    That is the Zarafa system I guess?



  • Exact.
    This is the IP address of the Zarafa server.


  • Kopano

    @mrk-pncl due to an incompatible gsoap change Kopano 8.6.8-8.7.0 cannot connect to old Zarafa systems (at least not to 7.1 and older systems). You could upgrade to the version in the pre-final Repo to connect again (or run kopano-backup and its dependencies from another system, e.g. from inside docker).



  • Ok.
    I installed kopano-backup v. 8.6.7.0 (on a different server) and I’m trying to back up.

    Backup done.


Log in to reply